import { CountUp } from './_count_up';
import { ViewController, React } from './ctr';
export * from './_count_up';
export default class extends ViewController {
    triggerMounted() {
        this._cup = new CountUp(this.refs.dom, this.props.endVal, this.props);
        this._cup.start();
    }
    triggerUpdate() {
        this._cup.update(this.props.endVal || 0);
    }
    triggerRemove() {
        this._cup.reset();
    }
    render() {
        return (React.createElement("span", { className: this.props.className, style: this.props.style, ref: "dom" }));
    }
}
